<!-- -------------------- ./proof/showprf.html -------------------- -->
<?php include "snippets/header.html"; ?>

<style>
  .shadisp {
    font-size: 80%;
    color: #804000;
  }

  .crtdisp {
    font-size: 80%;
    color: #808080;
  }
  
  .fr-table table {
    display: table;
  }

  .table .table-primary th {
    font-size: 1rem;
  }

  tr td[scope="col"]:first-of-type {
    text-align: right;
    
  }

  table td:last-of-type {
    background-color: var(--background-contrast-info);
  }

  tr:hover {
    outline: 1px solid var(--background-contrast-info-active);
  }

  .fr-accordion__btn {
    background-color: var(--grey-950-150);
  }
  
  .fr-collapse {
    display: grid;
    place-content: center;
  }

</style>


<!-- ----- content --------- -->
<main role="main" class="os-main-content">
  <div class="fr-container">
    <div class="fr-grid-row fr-grid-row--gutters fr-mt-2w">
      <div class="fr-col-12">
        <a class="fr-link fr-icon-arrow-left-line fr-link--icon-left " href="/prf/Show/<?php echo $this->REFP; ?>">
          Retour au dossier de preuve
        </a>
<!-- 
<pre>
<?php print_r($this->PDATA);  ?>
</pre>
-->
        <h1 class="fr-h3 fr-mt-2w text-center">Fichier preuve <?php echo $this->REFP; ?></h1>
        <div class="fr-table">
          <table class="table table-hover fr-mx-0" >
            <tbody>
              <?php if ( isset($this->PDATA['Demandeur']) ): ?>
              <tr class="table-primary">
                <th scope="col" colspan="2">Demande de Signature</th>
              </tr>
              <tr>
                <td scope="col">Date:</td>
                <td scope="col">
                  <?php echo $this->PDATA['Demandeur']['Date']; ?>
                </td>
              </tr>
              <tr>
                <td scope="col">Mail demandeur:</td>
                <td scope="col">
                  <?php echo $this->PDATA['Demandeur']['Mail']; ?>
                </td>
              </tr>
              <?php endif; ?>
              <?php if ( isset($this->PDATA['Signataire']) ): ?>
              <tr class="table-primary">
                <th scope="col" colspan="2">Signataire</th>
              </tr>
              <tr>
                <td scope="col">Identité:</td>
                <td scope="col">
                  <?php echo $this->PDATA['Signataire']['Identite']; ?>
                </td>
              </tr>
              <tr>
                <td scope="col">Mail:</td>
                <td scope="col">
                  <?php echo $this->PDATA['Signataire']['Mail']; ?>
                </td>
              </tr>
              <tr>
                <td scope="col">Téléphone:</td>
                <td scope="col">
                  <?php echo $this->PDATA['Signataire']['Telephone']; ?>
                </td>
              </tr>
              <tr>
                <td scope="col">AdresseIP:</td>
                <td scope="col">
                  <?php echo $this->PDATA['Signataire']['AdresseIP']; ?>
                </td>
              </tr>
              <?php endif; ?>
	      <?php  /*  loop on signataireN */
	       $sid=1;
               $k = sprintf("Signataire%d",$sid);
	       while ( isset($this->PDATA[$k]) ):
	      ?>
              <tr class="table-primary">
                <th scope="col" colspan="2">Signataire <?php echo $sid; ?></th>
              </tr>
              <tr>
                <td scope="col">Identité:</td>
                <td scope="col">
                  <?php echo $this->PDATA[$k]['Identite']; ?>
                </td>
              </tr>
              <tr>
                <td scope="col">Mail:</td>
                <td scope="col">
                  <?php echo $this->PDATA[$k]['Mail']; ?>
                </td>
              </tr>
              <tr>
                <td scope="col">Téléphone:</td>
                <td scope="col">
                  <?php echo $this->PDATA[$k]['Telephone']; ?>
                </td>
              </tr>
              <tr>
                <td scope="col">AdresseIP:</td>
                <td scope="col">
                  <?php echo $this->PDATA[$k]['AdresseIP']; ?>
                </td>
              </tr>
               <tr>
                 <td scope="col">Date d'envoi SMS:</td>
                 <td scope="col">
                   <?php echo $this->PDATA[$k]['SmsDate']; ?>
                 </td>
               </tr>
               <tr>
                 <td scope="col">Opérateur SMS:</td>
                 <td scope="col">
                   <?php echo $this->PDATA[$k]['SmsOperateur']; ?>
                 </td>
               </tr>
	      <?php
               $sid++;
               $k = sprintf("Signataire%d",$sid);
              endwhile;
              ?>
              <?php if ( isset($this->PDATA['SMS_Status']) ): ?>
              <tr class="table-primary">
                <th scope="col" colspan="2">SMS status</th>
              </tr>
              <tr>
                <td scope="col">Date d'envoi:</td>
                <td scope="col">
                  <?php echo $this->PDATA['SMS_Status']['Envoi']; ?>
                </td>
              </tr>
              <tr>
                <td scope="col">Numéro:</td>
                <td scope="col">
                  <?php echo $this->PDATA['SMS_Status']['Numero']; ?>
                </td>
              </tr>
              <tr>
                <td scope="col">Opérateur:</td>
                <td scope="col">
                  <?php echo $this->PDATA['SMS_Status']['Operateur']; ?>
                </td>
              </tr>
              <?php endif; ?>
              <tr class="table-primary">
                <th scope="col" colspan="2">Signature</th>
              </tr>
              <tr>
                <td scope="col">date:</td>
                <td scope="col">
                  <?php echo $this->PDATA['Signature']['date']; ?>
                </td>
              </tr>
              <tr>
                <td scope="col">fichiers:</td>
                <td scope="col" class="">
                  
                    <?php foreach( $this->PDATA['Signature']['fichiers'] as $k=>$v): ?>
                    <table class="fr-mb-1w" style="border: 1px solid var(--background-contrast-info-hover);">
                    <tr>
                      <th><em>nom</em></th>
                      <td>
                        <?php echo $k; ?>
                      </td>
                      </tr>
                      <tr>
                      <th><em>condensat sha512</em></th>
                      <td><span class="shadisp">
                          <?php echo $v; ?>
                        </span></td>
                      </tr>
                      </table>
                    <?php endforeach; ?>
                  
                </td>
              </tr>
              <tr>
                <td scope="col">version (git) du logiciel de signature:</td>
                <td scope="col">
                  <?php echo $this->PDATA['SignatureEngineGitVersion']; ?>
                </td>
              </tr>
              <tr class="table-primary">
                <th scope="col" colspan="2">Certificats</th>
              </tr>
              <tr>
                <td scope="col"  colspan="2" class="fr-accordions-group">
                  <section class="fr-accordion">
                    <h3 class="fr-accordion__title">
                      <button class="fr-accordion__btn" aria-expanded="false" aria-controls="accordion-certificat-ca">CA</button>
                    </h3>
                    <div class="fr-collapse" id="accordion-certificat-ca">
                      <pre class="crtdisp"><?php echo $this->PDATA['Certificats']['CA']; ?></pre>
                    </div>
                  </section>
                  <section class="fr-accordion">
                    <h3 class="fr-accordion__title">
                      <button class="fr-accordion__btn" aria-expanded="false" aria-controls="accordion-certificat-crt">CRT</button>
                    </h3>
                    <div class="fr-collapse" id="accordion-certificat-crt">
                      <pre class="crtdisp"><?php echo $this->PDATA['Certificats']['CRT']; ?></pre>
                    </div>
                  </section>
                  <section class="fr-accordion">
                    <h3 class="fr-accordion__title">
                      <button class="fr-accordion__btn" aria-expanded="false" aria-controls="accordion-certificat-crl">CRL</button>
                    </h3>
                    <div class="fr-collapse" id="accordion-certificat-crl">
                      <pre class="crtdisp"><?php echo $this->PDATA['Certificats']['CRL']; ?></pre>
                    </div>
                  </section>
                </td>
              </tr> 
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</main>
<!-- ----- end content --------- -->



<!-- -------------------------------------------------------------------- -->

<?php include "snippets/footer.html"; ?>
